Uploaded image for project: 'Python Driver'
  1. Python Driver
  2. PYTHON-1926

Raise an error when attempting to auto encrypt a command if the maxWireVersion is less than 8

    XMLWordPrintableJSON

Details

    • Task
    • Status: Closed
    • Major - P3
    • Resolution: Fixed
    • None
    • 3.9
    • None
    • None

    Description

      From the spec:

      Drivers MUST raise an error when attempting to auto encrypt a command if the maxWireVersion is less than 8.

      https://github.com/mongodb/specifications/blob/master/source/client-side-encryption/client-side-encryption.rst#auto-encrypt-and-decrypt

      Should we also raise an error when the current operation does not use OP_MSG? For example exhaust cursors, find_raw_batches, etc...?

      Attachments

        Activity

          People

            shane.harvey@mongodb.com Shane Harvey
            shane.harvey@mongodb.com Shane Harvey
            Votes:
            0 Vote for this issue
            Watchers:
            1 Start watching this issue

            Dates

              Created:
              Updated:
              Resolved: